<?php

class config extends controller {
	
	protected $_modulo_nome = "Configurações";

	public function init(){
		$this->autenticacao();
		$this->nivel_acesso(2);
	}

	public function inicial(){
		
		$dados['_base'] = $this->base();
		$dados['_titulo'] = $this->_modulo_nome;
		$dados['_subtitulo'] = "";

		if($this->nivel_acesso(52, false)){
			$dados['acesso_emails'] = true;
		} else {
			$dados['acesso_emails'] = false;
		}
		if($this->nivel_acesso(36, false)){
			$dados['acesso_meta'] = true;
		} else {
			$dados['acesso_meta'] = false;
		}
		if($this->nivel_acesso(37, false)){
			$dados['acesso_smtp'] = true;
		} else {
			$dados['acesso_smtp'] = false;
		}
		if($this->nivel_acesso(38, false)){
			$dados['acesso_logo'] = true;
		} else {
			$dados['acesso_logo'] = false;
		}
		$dados['acesso_mascara'] = true;
		

		if($this->get('aba')){
			$dados['aba_selecionada'] = $this->get('aba');
		} else {

			if($dados['acesso_mascara']){
				$dados['aba_selecionada'] = 'mascara';
			}
			if($dados['acesso_logo']){
				$dados['aba_selecionada'] = 'imagem';
			}
			if($dados['acesso_smtp']){
				$dados['aba_selecionada'] = 'smtp';
			}
			if($dados['acesso_meta']){
				$dados['aba_selecionada'] = 'meta';
			}
			if($dados['acesso_emails']){
				$dados['aba_selecionada'] = 'emails';
			}			 

		}
		
		$config = new model_config();
		$mascara = new model_mascara();

		$dados['data'] = $config->carrega_config();
		$dados['data_meta'] = $config->carrega_meta();

		//lista emails
		if($dados['acesso_emails']){
			
			$grupo_email = $this->get('grupo_email');
			
			$dados['grupo_email_lista'] = $config->contato_grupos();
			if(!$grupo_email){
				$grupo_email = $dados['grupo_email_lista'][0]['codigo'];
			}

			$dados['grupo_email_selecionado'] = $grupo_email;
			$dados['contatos'] = $config->lista_contatos($grupo_email);

		}
		//lista mascara
		if($dados['acesso_mascara']){
			
			$dados['mascaras'] = $mascara->lista();

		}

		$this->view('config', $dados);
	}
	
	// CONTATOS

	public function grupos_email(){

		$this->nivel_acesso(52);

		$dados['_base'] = $this->base();
		$dados['_titulo'] = $this->_modulo_nome;
		$dados['_subtitulo'] = "Grupos de e-mails";

		$config = new model_config();

		$dados['lista'] = $config->contato_grupos();

		$this->view('config.email.grupos', $dados);
	}

	public function novo_grupo_email(){

		$this->nivel_acesso(52);

		$dados['_base'] = $this->base();

		$this->view('config.novo.grupo.email', $dados);
	}

	public function novo_grupo_email_grv(){
		
		$this->nivel_acesso(52);

		$titulo = $this->post('titulo');
		$this->valida($titulo);
		$codigo = $this->gera_codigo();

		$db = new mysql();
		$db->inserir("contato_grupos", array(
			"codigo"=>"$codigo",
			"titulo"=>"$titulo"
		));

		$this->irpara(DOMINIO.$this->_controller.'/grupos_email');
	}

	public function alterar_grupo_email(){

		$this->nivel_acesso(52);

		$dados['_base'] = $this->base();

		$codigo = $this->get('codigo');
		$this->valida($codigo);

		$config = new model_config();

		$dados['data'] = $config->carrega_contato_grupo($codigo);

		$this->view('config.alterar.grupo.email', $dados);
	}

	public function alterar_grupo_email_grv(){
		
		$this->nivel_acesso(52);
		
		$titulo = $this->post('titulo');
		$codigo = $this->post('codigo');

		$this->valida($titulo);
		$this->valida($codigo);

		$db = new mysql();
		$db->alterar("contato_grupos", array(
			"titulo"=>"$titulo"
		), " codigo='$codigo' ");

		$this->irpara(DOMINIO.$this->_controller.'/grupos_email');
	}

	public function apagar_email_grupos(){

		$this->nivel_acesso(52);
		$config = new model_config();

		foreach ($config->contato_grupos() as $key => $value) {			 
			
			if($this->post('apagar_'.$value['id']) == 1){
				
				$db = new mysql();
				$db->apagar("contato_grupos", " id='".$value['id']."' ");
				
			}
		}

		$this->irpara(DOMINIO.$this->_controller.'/grupos_email');
	}

	public function novo_email(){

		$dados['_base'] = $this->base();
		$dados['grupo'] = $this->get('grupo');

		$config = new model_config();
		$dados['grupos'] = $config->contato_grupos();

		$this->view('config.novo.email', $dados);
	}

	public function novo_email_grv(){
		
		$this->nivel_acesso(52);

		$grupo = $this->post('grupo');
		$titulo = $this->post('titulo');
		$email = $this->post('email');

		$this->valida($grupo);
		$this->valida($titulo);
		$this->valida($email);

		// instancia
		$config = new model_config();

		$codigo = $this->gera_codigo();

		$config->adiciona_contato(array(
			$codigo,
			$titulo,
			$email,
			$grupo
		));

		$this->irpara(DOMINIO.$this->_controller.'/inicial/aba/emails/grupo_email/'.$grupo);
	}

	public function alterar_email(){

		$this->nivel_acesso(52);

		$dados['_base'] = $this->base();
		
		$id = $this->get('codigo');
		$this->valida($id);

		$config = new model_config();
		$dados['grupos'] = $config->contato_grupos();

		$dados['data'] = $config->carrega_contato($id);
		
		$this->view('config.alterar.email', $dados);
	}
	
	public function alterar_email_grv(){
		
		$this->nivel_acesso(52);
		
		$id = $this->post('id');
		$titulo = $this->post('titulo');
		$email = $this->post('email');
		$grupo = $this->post('grupo');

		$this->valida($titulo);
		$this->valida($email);
		$this->valida($id);
		$this->valida($grupo);

		// instancia
		$config = new model_config();

		$config->altera_contato(array(
			$titulo,
			$email,
			$grupo
		), $id);

		$this->irpara(DOMINIO.$this->_controller.'/inicial/aba/emails/grupo_email/'.$grupo);
	}	

	public function apagar_emails(){

		$this->nivel_acesso(52);

		$grupo = $this->get('grupo');
		$this->valida($grupo);

		$config = new model_config();
		foreach ($config->lista_contatos($grupo) as $key => $value) {			 
			
			if($this->post('apagar_'.$value['id']) == 1){
				
				$config->apagar_contato($value['id']);
				
			}
		}

		$this->irpara(DOMINIO.$this->_controller.'/inicial/aba/emails/grupo_email/'.$grupo);
	}



	// META

	public function meta_grv(){

		$this->nivel_acesso(36);

		// instancia
		$config = new model_config();

		$titulo_pagina = $this->post('titulo_pagina');
		$descricao = $this->post('descricao');
		$analytics = $_PSOT['analytics'];
		$forcar_ssl = $this->post('forcar_ssl');
 		
		// executa
		$db = new mysql();
		$db->alterar('meta', array(
			'titulo_pagina'=>$titulo_pagina,
			'descricao'=>$descricao,
			'analytics'=>$analytics,
			'forcar_ssl'=>$forcar_ssl
		), " id='1' ");
		
		$this->irpara(DOMINIO.$this->_controller.'/inicial/aba/meta');
	}

	public function smtp_grv(){

		$this->nivel_acesso(37);

		$email_nome = $this->post('email_nome');
		$email_origem = $this->post('email_origem');
		$email_retorno = $this->post('email_retorno');
		$email_porta = $this->post('email_porta');
		$email_host = $this->post('email_host');
		$email_usuario = $this->post('email_usuario');
		$email_senha = $this->post('email_senha');

		$email_testes = $this->post('email_testes');
		$email_testes_destino = $this->post('email_testes_destino');

		$this->valida($email_nome);
		$this->valida($email_origem);
		$this->valida($email_retorno);
		$this->valida($email_porta);
		$this->valida($email_host);
		$this->valida($email_usuario);
		$this->valida($email_senha);

		// instancia
		$config = new model_config();

		$config->altera_smtp(array(
			$email_nome,
			$email_origem,
			$email_retorno,
			$email_porta,
			$email_host,
			$email_usuario,
			$email_senha
		));

		// testa configuração
		if($email_testes == 'sim'){

			if(!$email_testes_destino){
				$this->msg('Digite um email diferente para enviar o teste.');
				$this->volta(1);
			}
			if($email_testes_destino == $email_origem){
				$this->msg('Digite um email diferente para enviar o teste.');
				$this->volta(1);
			}
			if($email_testes_destino == $email_usuario){
				$this->msg('Digite um email diferente para enviar o teste.');
				$this->volta(1);
			}

			require_once("_api/phpmailer/class.phpmailer.php");
			
			$mail = new PHPMailer();
			$mail->IsSMTP();
			$mail->Host = $email_host;
			$mail->Port = $email_porta;
			$mail->SMTPAuth = true;
			$mail->Username = $email_usuario;
			$mail->Password = $email_senha;
			$mail->From = $email_origem;
			$mail->FromName = $email_nome;
			$mail->AddAddress($email_testes_destino, "");
			$mail->WordWrap = 50;
			$mail->IsHTML(true);
			$mail->Subject = "Teste de envio";
			$mail->Body = "<div>E-mail de teste</div>";
			
			if($mail->Send()){
				$this->msg('Teste realizado com sucesso!');
			} else {
				$this->msg('Ocorreu um erro: '.$mail->ErrorInfo);
			}
		}

		$this->irpara(DOMINIO.$this->_controller.'/inicial/aba/smtp');
	}

	public function apagar_logo(){

		$this->nivel_acesso(38);

		// instancia
		$config = new model_config();

		$data = $config->carrega_config();

		if($data->logo){
			unlink('../arquivos/img_logo/'.$data->logo);
		}

		$config->altera_logo("");

		$this->irpara(DOMINIO.$this->_controller.'/inicial/aba/imagem');
	}

	public function logo(){

		$this->nivel_acesso(38);

		$arquivo_original = $_FILES['arquivo'];
		$tmp_name = $_FILES['arquivo']['tmp_name'];
		
		// instancia
		$config = new model_config();
		$arquivo = new model_arquivos_imagens();	

		//// Definicao de Diretorios / 
		$diretorio = "../arquivos/img_logo/";

		if(!$arquivo->filtro($arquivo_original)){ $this->msg('Arquivo com formato inválido ou inexistente!'); $this->volta(1); } else {	

			$nome_original = $arquivo_original['name'];
			$extensao = $arquivo->extensao($nome_original);
			$nome_arquivo  = $arquivo->trata_nome($nome_original);

			$destino = $diretorio.$nome_arquivo;

			if(copy($tmp_name, $destino)){
				
				if( ($extensao == "jpg") OR ($extensao == "jpeg") OR ($extensao == "JPG") OR ($extensao == "JPEG") ){
					
					// foto grande
					$largura_g = 500;
					$altura_g = $arquivo->calcula_altura_jpg($diretorio.$nome_arquivo, $largura_g);
					
					//redimenciona
					$arquivo->jpg($diretorio.$nome_arquivo, $largura_g , $altura_g, $diretorio.$nome_arquivo);					
				}

				$config->altera_logo($nome_arquivo);				

				$this->irpara(DOMINIO.$this->_controller.'/inicial/aba/imagem');

			} else {					
				$this->msg('Não foi possível copiar o arquivo!');
				$this->volta(1);
			}

		}

	}



	// MASCARA

	public function nova_mascara(){
		
		$dados['_base'] = $this->base();
		$dados['_titulo'] = $this->_modulo_nome;
		$dados['_subtitulo'] = "Nova Marca d'água";

		$this->view('config.mascara.nova', $dados);
	}

	public function nova_mascara_grv(){

		$titulo = $this->post('titulo');
		$posicao = $this->post('posicao');
		$preencher = $this->post('preencher');
		
		$arquivo_original = $_FILES['arquivo'];
		$tmp_name = $_FILES['arquivo']['tmp_name'];
		
		$this->valida($titulo);

		//carrega model de gestao de imagens
		$arquivo = new model_arquivos_imagens();
		$mascara = new model_mascara();

		//// Definicao de Diretorios / 
		$diretorio = "../arquivos/img_mascaras/";		 
		
		if(!$arquivo->filtro($arquivo_original)){ $this->msg('Arquivo com formato inválido ou inexistente!'); $this->volta(1); } else {
			
			$nome_original = $_FILES['arquivo']['name'];
			$nome_arquivo  = $arquivo->trata_nome($nome_original);
			
			$destino = $diretorio.$nome_arquivo;
			
			if(copy($tmp_name, $destino)){

				$codigo = $this->gera_codigo();

				$mascara->adiciona(array(
					$codigo,
					$titulo,
					$nome_arquivo,
					$posicao,
					$preencher
				));

				$this->irpara(DOMINIO.$this->_controller.'/inicial/aba/mascara');

			} else {
				$this->msg('Não foi possível copiar o arquivo!');
				$this->volta(1);
			}

		}
	}	

	public function alterar_mascara(){
		
		$dados['_base'] = $this->base();
		$dados['_titulo'] = $this->_modulo_nome;
		$dados['_subtitulo'] = "Alterar Marca d'água";

		$codigo = $this->get('codigo');

		$mascara = new model_mascara();

		$dados['data'] = $mascara->carrega($codigo);

		$this->view('config.mascara.alterar', $dados);

	}

	public function alterar_mascara_grv(){
		
		$codigo = $this->post('codigo');

		$titulo = $this->post('titulo');
		$posicao = $this->post('posicao');
		$preencher = $this->post('preencher');
		
		$this->valida($codigo);
		$this->valida($titulo);
		
		$mascara = new model_mascara();

		$mascara->altera(array(
			$titulo,
			$posicao,
			$preencher
		), $codigo);

		$this->irpara(DOMINIO.$this->_controller.'/inicial/aba/mascara');
	}

	public function apagar_mascara(){
		
		$mascara = new model_mascara();

		foreach ($mascara->lista() as $key => $value) {			 
			
			if($this->post('apagar_'.$value['id']) == 1){
				
				unlink('../arquivos/img_mascaras/'.$value['imagem_nome']);
				
				$mascara->apagar($value['codigo']);
			}
		}

		$this->irpara(DOMINIO.$this->_controller.'/inicial/aba/mascara');
	}
	
	
}