<?php

Class model_fotos extends model{

	public $perpage = 10; //itens por pagina
	public $numlinks = 10; //total de paginas mostradas na paginação
	public $busca = '-';
	public $categoria = 0;
	public $startitem = 0;
	public $startpage = 1;
	public $endpage = '';
	public $reven = 1;
	public $destaque = 0;
	public $ordem = ''; // 'rand' para randomico ou em branco para data desc

	public function lista(){

    	//define variaveis
		$perpage = $this->perpage;
		$numlinks = $this->numlinks;
		$busca = $this->busca;
		$categoria = $this->categoria;
		$startitem = $this->startitem;
		$startpage = $this->startpage;
		$endpage = $this->endpage;
		$reven = $this->reven;
		$destaque = $this->destaque;
		$ordem = $this->ordem;
		
		//retorno 
		$dados = array();
		
    	//FILTROS
		$query = "SELECT * FROM fotos ";

		//se tiver busca ignora tudo e faz a busca
		if($busca != "-"){
			$query = "SELECT * FROM fotos WHERE titulo LIKE '%$busca%' OR previa LIKE '%$busca%' ";
		} else {

			//se selecionou a categoria tem prioridade sobre o destaque
			if($categoria != 0){
				$query = "SELECT * FROM fotos WHERE categoria='$categoria' ";
			} else {
				
				//destaque mostra todos os itens que estao marcados com destaque
				if($destaque != 0){
					$query = "SELECT * FROM fotos WHERE destaque='$destaque' ";
				}

			}

		}
		
		//faz a busca no banco e retorno numero de itens para paginação
		$conexao = new mysql();
		$coisas_fotos = $conexao->Executar($query);
		if($coisas_fotos->num_rows) {
			$numitems = $coisas_fotos->num_rows;
		} else {
			$numitems = 0;
		}
		$dados['numitems'] = $numitems;
		
		
		//calcula paginação
		if($numitems > 0) {
			$numpages = ceil($numitems / $perpage); 
			if($startitem + $perpage > $numitems) { $enditem = $numitems; } else { $enditem = $startitem + $perpage; }
			if(!$startpage) { $startpage = 1; }
			if(!$endpage) { 
				if($numpages > $numlinks) { $endpage = $numlinks; } else { $endpage = $numpages; }
			}
		} else {
			$numpages = 0;
		}

		$fotos = array();
		$mes = new model_data();

		//ordena e limita aos itens da pagina
		if($ordem == 'rand'){
			$query .= " ORDER BY RAND() LIMIT $startitem, $perpage";
		} else {
			$query .= " ORDER BY id desc LIMIT $startitem, $perpage";
		}
		
		$conexao = new mysql();
		$coisas_fotos = $conexao->Executar($query);
		$n = 0;
		while($data_fotos = $coisas_fotos->fetch_object()){
			
			//seta imagem como não existente
			$imagem = "";

			//confere se tem imagem ordenada
			$conexao = new mysql();
			$coisas_ordem = $conexao->Executar("SELECT * FROM fotos_imagem_ordem WHERE codigo='$data_fotos->codigo' ORDER BY id desc limit 1");
			$data_ordem = $coisas_ordem->fetch_object();
			
			//se tiver ordem segue o baile
			if(isset($data_ordem->data)){

				$order = explode(',', $data_ordem->data);

				$ii = 0;
				foreach($order as $key => $value){

					$conexao = new mysql();
					$coisas_img = $conexao->Executar("SELECT imagem FROM fotos_imagem WHERE id='$value'");
					$data_img = $coisas_img->fetch_object();

					//pega primeira imagem da ordem e coloca na variavel
					if( ($ii == 0) AND (isset($data_img->imagem)) ){

						$imagem = PASTA_CLIENTE."img_fotos_g/".$data_fotos->codigo."/".$data_img->imagem;

						$ii++;
					}
				}
			}
			
			$fotos[$n]['imagem'] = $imagem;
			
			//verifica nome do grupo
			$conexao = new mysql();
			$coisas_fotos_cat = $conexao->Executar("SELECT titulo FROM fotos_categorias WHERE codigo='$data_fotos->categoria'");
			$data_fotos_cat = $coisas_fotos_cat->fetch_object();

			$fotos[$n]['categoria'] = $data_fotos_cat->titulo;
			$fotos[$n]['categoria_codigo'] = $data_fotos->categoria;

			//restante
			$fotos[$n]['id'] = $data_fotos->id;
			$fotos[$n]['codigo'] = $data_fotos->codigo;
			$fotos[$n]['titulo'] = $data_fotos->titulo;
			$fotos[$n]['previa'] = $this->reduz_texto($data_fotos->previa, 120);
			$fotos[$n]['conteudo'] = $data_fotos->descricao;

			$fotos[$n]['endereco'] = DOMINIO."eventos/detalhes/id/".$data_fotos->id."/evento/".$this->trata_url_titulo($data_fotos->titulo);

			$n++;
		}
		$dados['lista'] = $fotos;

		//lista paginação
		$paginacao = "<ul class='pagination'>";

		if($numpages > 1) { 
			if($startpage > 1) {
				$prevstartpage = $startpage - $numlinks;
				$prevstartitem = $prevstartpage - 1;
				$prevendpage = $startpage - 1;

				$link = DOMINIO."eventos/lista/categoria/$categoria/busca/$busca/";
				$link .= "startitem/$prevstartitem/startpage/$prevstartpage/endpage/$prevendpage/reven/$prevstartpage/";

			}

			for($n = $startpage; $n <= $endpage; $n++) {

				$nextstartitem = ($n - 1) * $perpage;

				if($n != $reven) {

					$link = DOMINIO."eventos/lista/categoria/$categoria/busca/$busca/";
					$link .= "startitem/$nextstartitem/startpage/$startpage/endpage/$endpage/reven/$n/";
					$paginacao .= "<li><a href='$link' >&nbsp;$n&nbsp;</a></li>";

				} else {
					$paginacao .= "<li><a href='#' class='active' >&nbsp;$n&nbsp;</a></li>";
				}
			}

			if($endpage < $numpages) {

				$nextstartpage = $endpage + 1;

				if(($endpage + $numlinks) < $numpages) { 
					$nextendpage = $endpage + $numlinks; 
				} else {
					$nextendpage = $numpages;
				}

				$nextstartitem = ($n - 1) * $perpage;

				$link = DOMINIO."eventos/lista/categoria/$categoria/busca/$busca/";
				$link .= "startitem/$nextstartitem/startpage/$nextstartpage/endpage/$nextendpage/reven/$nextstartpage/";

			}
		}
		$paginacao .= "</ul>";

		$dados['paginacao'] = $paginacao;

		//retorna para a pagina a array com todos as informações
		return $dados;
	}

	//trata nome para url
	public function trata_url_titulo($titulo){

		//remove acentos
		$titulo_tratado = preg_replace(array("/(á|à|ã|â|ä)/","/(Á|À|Ã|Â|Ä)/","/(é|è|ê|ë)/","/(É|È|Ê|Ë)/","/(í|ì|î|ï)/","/(Í|Ì|Î|Ï)/","/(ó|ò|õ|ô|ö)/","/(Ó|Ò|Õ|Ô|Ö)/","/(ú|ù|û|ü)/","/(Ú|Ù|Û|Ü)/","/(ñ)/","/(Ñ)/"),explode(" ","a A e E i I o O u U n N"), $titulo);

		//remove caracteres indesejados
		$titulo_tratado = str_replace(array("?", ",", ".", "+", "'", "/", ")", "(", "&", "%", "#", "@", "!", "=", ">", "<", ";", ":", "|", "*", "$"), "", $titulo_tratado);
		//coloca ifen para separar palavras
		$titulo_tratado = str_replace(array(" ", "_", "+"), "-", $titulo_tratado);
		//certifica que não tem ifens repetidos
		$titulo_tratado = preg_replace('/(.)\1+/', '$1', $titulo_tratado);		 

		return $titulo_tratado;
	}

	public function reduz_texto($texto, $limite, $quebra = true){
		$tamanho = strlen($texto);
		if($tamanho <= $limite){ //Verifica se o tamanho do texto é menor ou igual ao limite
			$novo_texto = $texto;
		} else { // Se o tamanho do texto for maior que o limite
    		if($quebra == true){ // Verifica a opção de quebrar o texto
    			$novo_texto = trim(substr($texto, 0, $limite))."...";
    		} else { // Se não, corta $texto na última palavra antes do limite

        		$ultimo_espaco = strrpos(substr($texto, 0, $limite), " "); // Localiza o útlimo espaço antes de $limite
       			$novo_texto = trim(substr($texto, 0, $ultimo_espaco))."..."; // Corta o $texto até a posição localizada
       		}
       	}       	
       return $novo_texto; // Retorna o valor formatado
   }

   public function lista_grupos(){

    	//lista categorias para lateral
   	$categorias = array();
   	$conexao = new mysql();
   	$coisas_categorias = $conexao->Executar("SELECT * FROM fotos_categorias order by titulo asc");
   	$n = 0;
   	while($data_categorias = $coisas_categorias->fetch_object()){ 

   		$categorias[$n]['codigo'] = $data_categorias->codigo;			 
   		$categorias[$n]['titulo'] = $data_categorias->titulo; 

   		$n++;
   	}		

		//retorna para a pagina a array com todos as informações
   	return $categorias;
   }

   public function titulo_grupo($codigo){

   	$conexao = new mysql();
   	$coisas_categorias = $conexao->Executar("SELECT titulo FROM fotos_categorias where codigo='$codigo' ");
   	$data_categorias = $coisas_categorias->fetch_object();

   	return $data_categorias->titulo;
   }

   public function carrega($id){

   	$conexao = new mysql();
   	$coisas = $conexao->Executar("SELECT * FROM fotos where id='$id' ");
   	return $coisas->fetch_object();

   }

   public function autor_postagem($codigo){

   	$conexao = new mysql();
   	$coisas_not_autor = $conexao->Executar("SELECT * FROM fotos_autores WHERE codigo='".$codigo."' ");
   	$data = $coisas_not_autor->fetch_object();

   	return $data->nome;		
   }

   public function imagens($codigo){

		//pega imagens
   	$imagens = array();
   	$conexao = new mysql();
   	$coisas_ordem = $conexao->Executar("SELECT * FROM fotos_imagem_ordem WHERE codigo='$codigo' ORDER BY id desc limit 1");
   	$data_ordem = $coisas_ordem->fetch_object();

   	if(isset($data_ordem->data)){

   		$order = explode(',', $data_ordem->data);

   		$ii = 0;
   		foreach($order as $key => $value){

   			$conexao = new mysql();
   			$coisas_img = $conexao->Executar("SELECT id, imagem FROM fotos_imagem WHERE id='$value'");
   			$data_img = $coisas_img->fetch_object();

   			if(isset($data_img->imagem)){

					//carrega legenda se tiver
   				$conexao = new mysql();
   				$coisas_leg = $conexao->Executar("SELECT legenda FROM fotos_imagem_legenda WHERE id_img='$data_img->id'");
   				$data_leg = $coisas_leg->fetch_object();
   				if(isset($data_leg->legenda)){
   					$imagens[$ii]['legenda'] = $data_leg->legenda;
   				} else {
   					$imagens[$ii]['legenda'] = '';
   				}

   				if($ii == 0){
   					$dados['imagem_principal'] = PASTA_CLIENTE."img_fotos_g/".$codigo."/".$data_img->imagem;
   				}

   				$imagens[$ii]['id'] = $data_img->id;
   				$imagens[$ii]['imagem_g'] = PASTA_CLIENTE."img_fotos_g/".$codigo."/".$data_img->imagem;
   				$imagens[$ii]['imagem_p'] = PASTA_CLIENTE."img_fotos_p/".$codigo."/".$data_img->imagem;

   				$ii++;
   			}

   		}
   	}
   	return $imagens;
   }


}