<?php

class celulas extends controller {
	
	protected $_modulo_nome = "Grupos/Células";

	public function init(){
		$this->autenticacao();
		$this->nivel_acesso(104);
	}
	
	public function inicial(){

		$dados['_base'] = $this->base();
		$dados['_titulo'] = $this->_modulo_nome;
		$dados['_subtitulo'] = "";

		$celulas = new model_celulas();
		$dados['lista'] = $celulas->lista();		 
		
		$this->view('celulas', $dados);
	}
	
	public function novo(){
		
		$dados['_base'] = $this->base();
		$dados['_titulo'] = $this->_modulo_nome;
		$dados['_subtitulo'] = "";

		$this->view('celulas.novo', $dados);
	}

	public function novo_grv(){

		$celulas = new model_celulas();
		
		$nome = $this->post('nome'); 
		$this->valida($nome);

		// grava
		$codigo = $this->gera_codigo();

		$db = new mysql();
		$db->inserir("celulas", array(
			"codigo"=>"$codigo",
			"nome"=>"$nome"
		));
		$ultid = $db->ultimo_id();

		$ordematual = $celulas->ordem();

		if($ordematual){
			$novaordem = $ordematual.",".$ultid;
		} else {
			$novaordem = $ultid;
		}		
		
		$db = new mysql();
		$db->inserir("celulas_ordem", array(
			"data"=>"$novaordem"
		));

		$this->irpara(DOMINIO.$this->_controller.'/alterar/aba/dados/codigo/'.$codigo);
	}
	
	public function alterar(){
		
		$dados['_base'] = $this->base();
		$dados['_titulo'] = $this->_modulo_nome;
		$dados['_subtitulo'] = "Alterar";

		$celulas = new model_celulas();

		$codigo = $this->get('codigo');
		$this->valida($codigo);

		$aba = $this->get('aba');
		if($aba){
			$dados['aba_selecionada'] = $aba;
		} else {
			$dados['aba_selecionada'] = 'dados';
		}

 		// pega dados
		$dados['data'] = $celulas->carregar($codigo);

		$this->view('celulas.alterar', $dados);
	}

	public function alterar_grv(){
		
		$codigo = $this->post('codigo');

		$nome = $this->post('nome'); 
		$descricao = $this->post_htm('conteudo');

		$this->valida($codigo);
		$this->valida($nome);

		$db = new mysql();
		$db->alterar("celulas", array(
			"nome"=>"$nome",
			"descricao"=>"$descricao"
		), " codigo='$codigo' ");

		$this->irpara(DOMINIO.$this->_controller.'/alterar/codigo/'.$codigo);		
	}

	public function imagem(){

		$arquivo_original = $_FILES['arquivo'];
		$tmp_name = $_FILES['arquivo']['tmp_name'];

		//carrega model de gestao de imagens
		$arquivo = new model_arquivos_imagens();

		$codigo = $this->get('codigo');

		$diretorio = "../arquivos/img_celulas/";

		if(!$arquivo->filtro($arquivo_original)){ $this->msg('Arquivo com formato inválido ou inexistente!'); $this->volta(1); } else {
			
			//pega a exteção
			$nome_original = $arquivo_original['name'];
			$extensao = $arquivo->extensao($nome_original);
			$nome_arquivo  = $arquivo->trata_nome($nome_original);
			
			if(copy($tmp_name, $diretorio.$nome_arquivo)){
				
				if( ($extensao == "jpg") OR ($extensao == "jpeg") OR ($extensao == "JPG") OR ($extensao == "JPEG") ){
					
					$largura_g = 1000;
					$altura_g = $arquivo->calcula_altura_jpg($tmp_name, $largura_g);
					
					//redimenciona
					$arquivo->jpg($diretorio.$nome_arquivo, $largura_g , $altura_g , $diretorio.$nome_arquivo);
				}
				
				//grava banco
				$db = new mysql();
				$db->alterar("celulas", array(
					"imagem"=>"$nome_arquivo"
				), " codigo='$codigo' ");
				
				$this->irpara(DOMINIO.$this->_controller.'/alterar/codigo/'.$codigo.'/aba/imagem');
				
			} else {
				
				$this->msg('Erro ao gravar imagem!');
				$this->irpara(DOMINIO.$this->_controller."/alterar/codigo/".$codigo."/aba/imagem");
				
			}
		}
	}

	public function apagar_imagem(){
		
		$codigo = $this->get('codigo');
		
		if($codigo){

			$celulas = new model_celulas();
			$data = $celulas->carregar($codigo);

			if($data->imagem){
				unlink('../arquivos/img_celulas/'.$data->imagem);
			}

			$db = new mysql();
			$db->alterar("celulas", array(
				"imagem"=>""
			), " codigo='$codigo' ");
		}

		$this->irpara(DOMINIO.$this->_controller.'/alterar/codigo/'.$codigo.'/aba/imagem');
	}

	public function ordem(){

		$list = $_POST['list'];

		$output = array();
		parse_str($list, $output);
		$ordem = implode(',', $output['item']);

		$db = new mysql();
		$db->apagar("celulas_ordem", " id!='0' ");
		
		$db = new mysql();
		$db->inserir("celulas_ordem", array(
			"data"=>"$ordem"
		));
	}

	public function apagar_varios(){
		
		$celulas = new model_celulas();
		
		foreach ($celulas->lista() as $key => $value) {
			
			if($this->post('apagar_'.$value['id']) == 1){
					
				if($value['imagem']){
					unlink('../arquivos/img_celulas/'.$value['imagem']);
				}
				
				$db = new mysql();
				$db->apagar("celulas", " id='".$value['id']."' ");
				
			}
		}
		
		$this->irpara(DOMINIO.$this->_controller);
	}

}