<?php

class orcamentos_contatos extends controller {
	
	protected $_modulo_nome = "Orçamentos";
	
	public function init(){
		$this->autenticacao();
		$this->nivel_acesso(108);
	}
	
	public function inicial(){
		
		$dados['_base'] = $this->base();
		$dados['_titulo'] = $this->_modulo_nome;
		$dados['_subtitulo'] = "";
		
		$orcamentos = new model_orcamentos();	 
		$dados['lista'] = $orcamentos->lista();
		
		$this->view('orcamentos', $dados);
	}
	
	public function novo(){
		
		$dados['_base'] = $this->base();
		$dados['_titulo'] = $this->_modulo_nome;
		$dados['_subtitulo'] = "Novo";
		
		$dados['aba_selecionada'] = "dados"; 	 	 
		
		$this->view('orcamentos.novo', $dados);
	}
	
	public function nova_grv(){
		
		$titulo = $this->post('titulo');
		$nome = $this->post('nome');
		$fone = $this->post('fone');
		$destino = $this->post_htm('destino');
		
		$this->valida($titulo);
		$this->valida($nome);
		$this->valida($destino);

		// Instancia
		$orcamentos = new model_orcamentos();
		
		$codigo = $this->gera_codigo();
		
		$db = new mysql();
		$db->inserir('orcamentos_contatos', array(
			'codigo'=>$codigo,
			'titulo'=>$titulo,
			'nome'=>$nome,
			'fone'=>$fone,
			'destino'=>$destino
		));
		$ultid = $db->ultimo_id();
		
		$ordem = $orcamentos->ordem($categoria);

		if($ordem){
			$novaordem = $ordem.",".$ultid;
		} else {
			$novaordem = $ultid;
		}
		$orcamentos->altera_ordem($novaordem, $categoria);

		$this->irpara(DOMINIO.$this->_controller.'/alterar/aba/imagem/codigo/'.$codigo);
	}	

	public function alterar(){
		
		$dados['_base'] = $this->base();
		$dados['_titulo'] = $this->_modulo_nome;
		$dados['_subtitulo'] = "Alterar";

		$codigo = $this->get('codigo');

		$aba = $this->get('aba');
		if($aba){
			$dados['aba_selecionada'] = $aba;
		} else {
			$dados['aba_selecionada'] = 'dados';
		}

 		// Instancia
		$orcamentos = new model_orcamentos();
		$dados['data'] = $orcamentos->carrega($codigo);
			
		$this->view('orcamentos.alterar', $dados);
	}

	public function alterar_grv(){
		
		$codigo = $this->post('codigo');
		$titulo = $this->post('titulo');
		$nome = $this->post('nome');
		$fone = $this->post('fone');
		$destino = $this->post_htm('destino');
		
		$this->valida($codigo);
		$this->valida($titulo);
		$this->valida($nome);
		
		$db = new mysql();
		$db->alterar('orcamentos_contatos', array(
			'titulo'=>$titulo,
			'nome'=>$nome,
			'fone'=>$fone,
			'destino'=>$destino
		), " codigo='$codigo' " );
		
		$this->irpara(DOMINIO.$this->_controller.'/alterar/codigo/'.$codigo);		
	}

	public function imagem(){

		$arquivo_original = $_FILES['arquivo'];
		$tmp_name = $_FILES['arquivo']['tmp_name'];

		//carrega model de gestao de imagens
		$arquivo = new model_arquivos_imagens();
		// Instancia
		$orcamentos = new model_orcamentos();		

		$codigo = $this->get('codigo');

		$diretorio = "../arquivos/img_orcamentos/";

		if(!$arquivo->filtro($arquivo_original)){ $this->msg('Arquivo com formato inválido ou inexistente!'); $this->volta(1); } else {
			
			//pega a exteção
			$nome_original = $arquivo_original['name'];
			$extensao = $arquivo->extensao($nome_original);
			$nome_arquivo  = $arquivo->trata_nome($nome_original);
			
			if(copy($tmp_name, $diretorio.$nome_arquivo)){
				
				//grava banco
				$orcamentos->altera_imagem($nome_arquivo, $codigo);
				
				$this->irpara(DOMINIO.$this->_controller.'/alterar/codigo/'.$codigo.'/aba/imagem');
				
			} else {
				
				$this->msg('Erro ao gravar imagem!');
				$this->irpara(DOMINIO.$this->_controller."/alterar/codigo/".$codigo."/aba/imagem");
				
			}

		}
		
	}

	public function apagar_imagem(){
		
		// Instancia
		$orcamentos = new model_orcamentos();

		$codigo = $this->get('codigo');
		
		if($codigo){

			$data = $orcamentos->carrega($codigo);

			if($data->imagem){
				unlink('../arquivos/img_orcamentos/'.$data->imagem);
			}
			//grava banco
			$orcamentos->altera_imagem("", $codigo);

		}

		$this->irpara(DOMINIO.$this->_controller.'/alterar/codigo/'.$codigo.'/aba/imagem');
	}

	public function apagar_varios(){
		
		// Instancia
		$orcamentos = new model_orcamentos();

		foreach ($orcamentos->lista() as $key => $value) {			 
			
			if($this->post('apagar_'.$value['id']) == 1){
				
				if($value['imagem']){
					unlink('../arquivos/img_orcamentos/'.$value['imagem']);
				}

				$orcamentos->apagar($value['codigo']);
				
			}
		}
		
		$this->irpara(DOMINIO.$this->_controller.'/inicial');
		
	}
	
	// ORDEM

	public function ordem(){

		// Instancia
		$orcamentos = new model_orcamentos();
		
		$codigo = $this->post('codigo');
		$list = $_POST['list'];
		
		$output = array();
		parse_str($list, $output);
		$ordem = implode(',', $output['item']);

		$db = new mysql();
		$orcamentos->altera_ordem($ordem, $codigo);

	}

}