<?php

class produtos extends controller {
	
	protected $_modulo_nome = "Produtos";

	public function init(){
		$this->autenticacao();
		$this->nivel_acesso(108);
	}
	
	public function inicial(){
		
		$dados['_base'] = $this->base();
		$dados['_titulo'] = $this->_modulo_nome;
		$dados['_subtitulo'] = "";
		
		$produtos = new model_produtos(); 
		$dados['lista'] = $produtos->lista();
		
		$this->view('produtos', $dados);
	}	

	public function novo(){
		
		$dados['_base'] = $this->base();

		$produtos = new model_produtos();
		$dados['categorias'] = $produtos->categorias();

		$this->view('produtos.novo', $dados);
	}

	public function novo_grv(){
		
		$titulo = $this->post('titulo');
		$categoria = $this->post('categoria');

		$this->valida($titulo);
		$this->valida($categoria);

		$db = new mysql();
		$exec = $db->Executar("SELECT * FROM produtos_categorias where codigo='$categoria' ");
		$data_cat = $exec->fetch_object();

		$codigo = $this->gera_codigo();
		
		$db = new mysql();
		$db->inserir("produtos", array(
			"codigo"=>$codigo,
			"titulo"=>$titulo,
			"categoria_codigo"=>$categoria,
			"categoria_titulo"=>$data_cat->titulo
		));

		$this->irpara(DOMINIO.$this->_controller.'/alterar/aba/dados/codigo/'.$codigo);
	}

	public function alterar(){
		
		$dados['_base'] = $this->base();
		$dados['_titulo'] = $this->_modulo_nome;
		$dados['_subtitulo'] = "Alterar";

		$codigo = $this->get('codigo');

		$aba = $this->get('aba');
		if($aba){
			$dados['aba_selecionada'] = $aba;
		} else {
			$dados['aba_selecionada'] = 'dados';
		}
		
		$db = new mysql();
		$exec = $db->Executar("SELECT * FROM produtos where codigo='$codigo' ");
		$dados['data'] = $exec->fetch_object();
		
 		//categorias
		$produtos = new model_produtos();
		$dados['categorias'] = $produtos->categorias();

		//imagens
		$imagens = $produtos->imagens($dados['data']->codigo);
		$dados['imagens'] = $imagens['lista'];

		$this->view('produtos.alterar', $dados);
	}
	
	public function alterar_grv(){
		
		$codigo = $this->post('codigo');
		$titulo = $this->post('titulo');
		$descricao = $_POST['conteudo'];
		$categoria = $this->post('categoria');

		$this->valida($codigo);
		$this->valida($titulo);
		$this->valida($categoria);

		$db = new mysql();
		$exec = $db->Executar("SELECT * FROM produtos_categorias where codigo='$categoria' ");
		$data_cat = $exec->fetch_object();

		
		$db = new mysql();
		$db->alterar("produtos", array(
			"categoria_codigo"=>$categoria,
			"categoria_titulo"=>$data_cat->titulo,
			"titulo"=>$titulo,
			"descricao"=>$descricao
		), " codigo='$codigo' ");
		
		$this->irpara(DOMINIO.$this->_controller.'/alterar/codigo/'.$codigo);		
	}

	public function apagar_imagem(){

		$codigo = $this->get('codigo');
		$id = $this->get('id');

		if($id){

			$db = new mysql();
			$exec = $db->executar("SELECT * FROM produtos_imagem where id='$id' ");
			$data = $exec->fetch_object();

			if($data->imagem){
				unlink('../arquivos/img_produtos_g/'.$codigo.'/'.$data->imagem);
				unlink('../arquivos/img_produtos_p/'.$codigo.'/'.$data->imagem);
			}

			$conexao = new mysql();
			$conexao->apagar("produtos_imagem", " id='$id' ");
		}

		$this->irpara(DOMINIO.$this->_controller.'/alterar/codigo/'.$codigo.'/aba/imagem');
	}

	public function ordenar_imagem(){

		$codigo = $this->post('codigo');
		$list = $_POST['list'];

		$this->valida($codigo);
		$this->valida($list);

		$output = array();
		parse_str($list, $output);
		$ordem = implode(',', $output['item']);

		$db = new mysql();
		$db->inserir("produtos_imagem_ordem", array(
			"codigo"=>"$codigo",
			"data"=>"$ordem"
		));

	}

	public function apagar_varios(){

		$db = new mysql();
		$exec = $db->Executar("SELECT * FROM produtos ");
		while($data = $exec->fetch_object()){

			if($this->post('apagar_'.$data->id) == 1){

				$db = new mysql();
				$exec_img = $db->executar("SELECT * FROM produtos_imagem where codigo='$data->codigo' ");
				while($data_img = $exec_img->fetch_object()){

					if($data_img->imagem){
						unlink('../arquivos/img_produtos_g/'.$data->codigo.'/'.$data_img->imagem);
						unlink('../arquivos/img_produtos_p/'.$data->codigo.'/'.$data_img->imagem);
					}

				}

				$conexao = new mysql();
				$conexao->apagar("produtos_imagem", " codigo='$data->codigo' ");

				$conexao = new mysql();
				$conexao->apagar("produtos", " codigo='$data->codigo' ");

			}
		}
		
		$this->irpara(DOMINIO.$this->_controller);
	}

	/////////////////////////////////////////////////////////////////////////////
	/////////////////////////////////////////////////////////////////////////////
	
	public function categorias(){
		
		$dados['_base'] = $this->base();
		$dados['_titulo'] = $this->_modulo_nome;
		$dados['_subtitulo'] = "Categorias";

		$produtos = new model_produtos();
		$dados['lista'] = $produtos->categorias();

		$this->view('produtos.categorias', $dados);
	}
	
	public function categorias_nova(){
		
		$dados['_base'] = $this->base();
		
		$this->view('produtos.categorias.nova', $dados);
	}
	
	public function categorias_nova_grv(){

		$titulo = $this->post('titulo');

		$this->valida($titulo);

		$codigo = $this->gera_codigo();

		$db = new mysql();
		$db->inserir("produtos_categorias", array(
			"codigo"=>"$codigo",
			"titulo"=>"$titulo"
		));

		$this->irpara(DOMINIO.$this->_controller.'/categorias');
	}

	public function categorias_alterar(){

		$dados['_base'] = $this->base();
		$dados['_titulo'] = $this->_modulo_nome;
		$dados['_subtitulo'] = "Alterar Categoria";

		$codigo = $this->get('codigo');
		$this->valida($codigo);

		$db = new mysql();
		$exec = $db->executar("SELECT * FROM produtos_categorias WHERE codigo='$codigo' ");
		$dados['data'] = $exec->fetch_object();

		$this->view('produtos.categorias.alterar', $dados);
	}

	public function categorias_alterar_grv(){

		$codigo = $this->post('codigo');
		$titulo = $this->post('titulo');		 

		$this->valida($codigo);
		$this->valida($titulo);

		$db = new mysql();
		$db->alterar("produtos_categorias", array(
			"titulo"=>"$titulo"
		), " codigo='$codigo' ");

		$this->irpara(DOMINIO.$this->_controller.'/categorias');
	}

	public function categorias_apagar(){

		$db = new mysql();
		$exec = $db->Executar("SELECT * FROM produtos_categorias ");
		while($data = $exec->fetch_object()){

			if($this->post('apagar_'.$data->id) == 1){

				$conexao = new mysql();
				$conexao->apagar("produtos_categorias", " id='$data->id' ");

			}
		}

		$this->irpara(DOMINIO.$this->_controller.'/categorias');
	}


	public function upload(){

		//carrega normal
		$dados['_base'] = $this->base();

		$codigo = $this->get('codigo');
		$dados['codigo'] = $codigo;

		$this->view('enviar_imagens', $dados);
	}

	public function imagem_redimencionada(){

		$codigo = $this->post('codigo');

		//pasta onde vai ser salvo os arquivos
		$pasta = "produtos";
		$diretorio_g = "../arquivos/img_".$pasta."_g/".$codigo."/";
		$diretorio_p = "../arquivos/img_".$pasta."_p/".$codigo."/";

		//confere e cria pasta se necessario
		if(!is_dir($diretorio_g)) {
			mkdir($diretorio_g);
		}
		if(!is_dir($diretorio_p)) {
			mkdir($diretorio_p);
		}

		//carrega model de gestao de imagens
		$img = new model_arquivos_imagens();

		// Recuperando imagem em base64
		// Exemplo: data:image/png;base64,AAAFBfj42Pj4
		$imagem = $this->post_htm('imagem');
		$nome_original = $this->post('nomeimagem');

		$nome_foto  = $img->trata_nome($nome_original);
		$extensao = $img->extensao($nome_original);

		// Separando tipo dos dados da imagem
		// $tipo: data:image/png
		// $dados: base64,AAAFBfj42Pj4
		list($tipo, $dados) = explode(';', $imagem);

		// Isolando apenas o tipo da imagem
		// $tipo: image/png
		list(, $tipo) = explode(':', $tipo);

		// Isolando apenas os dados da imagem
		// $dados: AAAFBfj42Pj4
		list(, $dados) = explode(',', $dados);

		// Convertendo base64 para imagem
		$dados = base64_decode($dados);

		// Gerando nome aleatório para a imagem
		$nome = md5(uniqid(time()));

		// Salvando imagem em disco
		if(file_put_contents($diretorio_g.$nome_foto, $dados)) {			

				//confere e se jpg reduz a miniatura
			if( ($extensao == "jpg") OR ($extensao == "jpeg") OR ($extensao == "JPG") OR ($extensao == "JPEG") ){

				copy($diretorio_g.$nome_foto, $diretorio_p.$nome_foto);

					// foto grande
				$largura_g = 1200;
				$altura_g = $img->calcula_altura_jpg($tmp_name, $largura_g);
					// foto minuatura
				$largura_p = 300;
				$altura_p = $img->calcula_altura_jpg($tmp_name, $largura_p);
					//redimenciona
				$img->jpg($diretorio_g.$nome_foto, $largura_g , $altura_g , $diretorio_g.$nome_foto);
				$img->jpg($diretorio_p.$nome_foto, $largura_p , $altura_p , $diretorio_p.$nome_foto);

			} else {

					//caso nao possa redimencionar copia a imagem original para a pasta de miniaturas
				copy($diretorio_g.$nome_foto, $diretorio_p.$nome_foto);

			}

			//grava banco
			$db = new mysql();
			$db->inserir("produtos_imagem", array(
				"codigo"=>"$codigo",
				"imagem"=>"$nome_foto"
			));					
			$ultid = $db->ultimo_id();

			//ordem
			$db = new mysql();
			$exec = $db->executar("SELECT * FROM produtos_imagem_ordem where codigo='$codigo' order by id desc limit 1");
			$data = $exec->fetch_object();

			if(isset($data->data)){
				$novaordem = $data->data.",".$ultid;
			} else {
				$novaordem = $ultid;
			}

			$db = new mysql();
			$db->inserir("produtos_imagem_ordem", array(
				"codigo"=>"$codigo",
				"data"=>"$novaordem"
			));

		}

	}


	public function imagem_manual(){

		$arquivo = $_FILES['arquivo'];
		$tmp_name = $_FILES['arquivo']['tmp_name'];

		$codigo = $this->get('codigo');		

		$nome_original = $_FILES['arquivo']['name'];

		//definições de pasta
		$pasta = "produtos";
		$diretorio_g = "../arquivos/img_".$pasta."_g/".$codigo."/";
		$diretorio_p = "../arquivos/img_".$pasta."_p/".$codigo."/";

		if(!is_dir($diretorio_g)) {
			mkdir($diretorio_g);
		}
		if(!is_dir($diretorio_p)) {
			mkdir($diretorio_p);
		}

		$img = new model_arquivos_imagens();

		if($tmp_name) {

			$nome_foto  = $img->trata_nome($nome_original);
			$extensao = $img->extensao($nome_original);

			if(copy($tmp_name, $diretorio_g.$nome_foto)){

				//confere e se jpg reduz a miniatura
				if( ($extensao == "jpg") OR ($extensao == "jpeg") OR ($extensao == "JPG") OR ($extensao == "JPEG") ){

					// foto grande
					$largura_g = 1000;
					$altura_g = $img->calcula_altura_jpg($tmp_name, $largura_g);
					// foto minuatura
					$largura_p = 300;
					$altura_p = $img->calcula_altura_jpg($tmp_name, $largura_p);
					//redimenciona
					$img->jpg($diretorio_g.$nome_foto, $largura_g , $altura_g , $diretorio_g.$nome_foto);
					$img->jpg($diretorio_g.$nome_foto, $largura_p , $altura_p , $diretorio_p.$nome_foto);

				} else {

					//caso nao possa redimencionar copia a imagem original para a pasta de miniaturas
					copy($diretorio_g.$nome_foto, $diretorio_p.$nome_foto);

				}

				//grava banco
				$db = new mysql();
				$db->inserir("produtos_imagem", array(
					"codigo"=>"$codigo",
					"imagem"=>"$nome_foto"
				));				
				$ultid = $db->ultimo_id();

				//ordem
				$db = new mysql();
				$exec = $db->executar("SELECT * FROM produtos_imagem_ordem where codigo='$codigo' order by id desc limit 1");
				$data = $exec->fetch_object();

				if(isset($data->data)){
					$novaordem = $data->data.",".$ultid;
				} else {
					$novaordem = $ultid;
				}

				$db = new mysql();
				$db->inserir("produtos_imagem_ordem", array(
					"codigo"=>"$codigo",
					"data"=>"$novaordem"
				));

			} else {
				$this->msg('Erro ao gravar imagem!');				
			}

			$this->irpara(DOMINIO.$this->_controller."/alterar/codigo/".$codigo."/aba/imagem");
		}

	}

 	/////////////////////////////////////////////////////////////////////////////
	/////////////////////////////////////////////////////////////////////////////

	private function trata_amigavel($titulo){

		$titulo = utf8_decode($titulo);
		$titulo = utf8_encode($titulo);

		//remove acentos
		$titulo_tratado = preg_replace(array("/(á|à|ã|â|ä)/","/(Á|À|Ã|Â|Ä)/","/(é|è|ê|ë)/","/(É|È|Ê|Ë)/","/(í|ì|î|ï)/","/(Í|Ì|Î|Ï)/","/(ó|ò|õ|ô|ö)/","/(Ó|Ò|Õ|Ô|Ö)/","/(ú|ù|û|ü)/","/(Ú|Ù|Û|Ü)/","/(ñ)/","/(Ñ)/","/(ç)/","/(Ç)/"),explode(" ","a a e e i i o o u u n n c c"), $titulo);

		//remove caracteres indesejados
		$titulo_tratado = str_replace(array("?", ",", ".", "'", "/", "(", ")", "[", "]", "{", "}", "&", "%", "#", "@", "!", "=", ">", "<", ";", ":", "|", "*", "$", "~"), "", $titulo_tratado);

		//coloca ifen para separar palavras
		$titulo_tratado = str_replace(array("-", "_", "+"), " ", $titulo_tratado);

		$explode = explode(' ', $titulo_tratado);		
		$titulo = '';
		foreach ($explode as $key => $value) {
			if(strlen($value) >= 2){
				$titulo .= $value.'-';
			}
		}
		$size = strlen($titulo);
		$titulo = substr($titulo,0, $size-1);
		$titulo = strtolower($titulo); 
		return $titulo;
	}



	public function img_banner(){

		$arquivo_original = $_FILES['arquivo'];
		$tmp_name = $_FILES['arquivo']['tmp_name'];

		//carrega model de gestao de imagens
		$arquivo = new model_arquivos_imagens();
		// Instancia

		$codigo = $this->get('codigo');

		$diretorio = "../arquivos/img_produtos/".$codigo."/";
		if(!is_dir($diretorio)) {
			mkdir($diretorio);
		}

		if(!$arquivo->filtro($arquivo_original)){ $this->msg('Arquivo com formato inválido ou inexistente!'); $this->volta(1); } else {
			
			//pega a exteção
			$nome_original = $arquivo_original['name'];
			$extensao = $arquivo->extensao($nome_original);
			$nome_arquivo  = $arquivo->trata_nome($nome_original);
			
			if(copy($tmp_name, $diretorio.$nome_arquivo)){

				$db = new mysql();
				$db->alterar("produtos", array(
					"img_banner"=>"$nome_arquivo"
				), " codigo='$codigo' ");
				
				$this->irpara(DOMINIO.$this->_controller.'/alterar/codigo/'.$codigo.'/aba/banner');
				
			} else {
				
				$this->msg('Erro ao gravar imagem!');
				$this->irpara(DOMINIO.$this->_controller."/alterar/codigo/".$codigo."/aba/banner");
				
			}

		}
		
	}

	public function img_banner_apagar(){
		
		// Instancia
		$produtos = new model_produtos();

		$codigo = $this->get('codigo');
		
		if($codigo){

			$db = new mysql();
			$exec = $db->Executar("SELECT * FROM produtos where codigo='$codigo' ");
			$data = $exec->fetch_object();

			if($data->img_banner){
				unlink('../arquivos/img_produtos/'.$data->codigo.'/'.$data->img_banner);
			}
			
			$db = new mysql();
			$db->alterar("produtos", array(
				"img_banner"=>""
			), " codigo='$codigo' ");

		}

		$this->irpara(DOMINIO.$this->_controller.'/alterar/codigo/'.$codigo.'/aba/banner');
	}



	public function img_descricao(){

		$arquivo_original = $_FILES['arquivo'];
		$tmp_name = $_FILES['arquivo']['tmp_name'];

		//carrega model de gestao de imagens
		$arquivo = new model_arquivos_imagens();
		// Instancia

		$codigo = $this->get('codigo');

		$diretorio = "../arquivos/img_produtos/".$codigo."/";
		if(!is_dir($diretorio)) {
			mkdir($diretorio);
		}

		if(!$arquivo->filtro($arquivo_original)){ $this->msg('Arquivo com formato inválido ou inexistente!'); $this->volta(1); } else {
			
			//pega a exteção
			$nome_original = $arquivo_original['name'];
			$extensao = $arquivo->extensao($nome_original);
			$nome_arquivo  = $arquivo->trata_nome($nome_original);
			
			if(copy($tmp_name, $diretorio.$nome_arquivo)){

				$db = new mysql();
				$db->alterar("produtos", array(
					"img_descricao"=>"$nome_arquivo"
				), " codigo='$codigo' ");
				
				$this->irpara(DOMINIO.$this->_controller.'/alterar/codigo/'.$codigo.'/aba/caracteristicas');
				
			} else {
				
				$this->msg('Erro ao gravar imagem!');
				$this->irpara(DOMINIO.$this->_controller."/alterar/codigo/".$codigo."/aba/caracteristicas");
				
			}

		}
		
	}

	public function img_descricao_apagar(){
		
		// Instancia
		$produtos = new model_produtos();
		
		$codigo = $this->get('codigo');
		
		if($codigo){

			$db = new mysql();
			$exec = $db->Executar("SELECT * FROM produtos where codigo='$codigo' ");
			$data = $exec->fetch_object();
			
			if($data->img_descricao){
				unlink('../arquivos/img_produtos/'.$data->codigo.'/'.$data->img_descricao);
			}
			
			$db = new mysql();
			$db->alterar("produtos", array(
				"img_descricao"=>""
			), " codigo='$codigo' ");

		}

		$this->irpara(DOMINIO.$this->_controller.'/alterar/codigo/'.$codigo.'/aba/caracteristicas');
	}


//termina classe
}