<?php

class publicidade extends controller {
	
	protected $_modulo_nome = "Blocos/publicidade";

	public function init(){
		$this->autenticacao();
		$this->nivel_acesso(106);
	}

	public function inicial(){
		
		$dados['_base'] = $this->base();
		$dados['_titulo'] = $this->_modulo_nome;
		$dados['_subtitulo'] = "";
		
		// Instancia
		$publicidade = new model_publicidade();

		$grupo = $this->get('grupo');
		if(!$grupo){
			$grupo = 'esquerda';
		}
		$dados['grupo'] = $grupo;
		$dados['lista'] = $publicidade->lista($grupo);
		
		$this->view('publicidade', $dados);
	}

	public function novo(){
		
		$dados['_base'] = $this->base();
		$dados['_titulo'] = $this->_modulo_nome;
		$dados['_subtitulo'] = "Novo";

		$dados['aba_selecionada'] = "dados";

		$this->view('publicidade.novo', $dados);
	}

	public function nova_grv(){
		
		$titulo = $this->post('titulo');
		$grupo = $this->post('grupo');
		$tipo = $this->post('tipo');
		$incorporacao = $this->post_htm('incorporacao');

		$this->valida($titulo);
		$this->valida($grupo);
		$this->valida($tipo);

		// Instancia
		$publicidade = new model_publicidade(); 

		$codigo = $this->gera_codigo();

		$db = new mysql();
		$db->inserir('publicidade', array(
			'codigo'=>$codigo,
			'grupo'=>$grupo,
			'titulo'=>$titulo,
			'tipo'=>$tipo,
			'incorporacao'=>$incorporacao
		));
		$ultid = $db->ultimo_id();		
		$ordem = $publicidade->ordem($grupo);

		if($ordem){
			$novaordem = $ordem.",".$ultid;
		} else {
			$novaordem = $ultid;
		}
		$publicidade->altera_ordem($novaordem, $grupo);

		if($tipo == 1){
			$this->irpara(DOMINIO.$this->_controller.'/alterar/aba/imagem/codigo/'.$codigo);
		} else {
			$this->irpara(DOMINIO.$this->_controller);
		}		
	}

	public function alterar(){
		
		$dados['_base'] = $this->base();
		$dados['_titulo'] = $this->_modulo_nome;
		$dados['_subtitulo'] = "Alterar";

		$codigo = $this->get('codigo');

		$aba = $this->get('aba');
		if($aba){
			$dados['aba_selecionada'] = $aba;
		} else {
			$dados['aba_selecionada'] = 'dados';
		}

 		// Instancia
		$publicidade = new model_publicidade();
		$dados['data'] = $publicidade->carrega($codigo);
		$dados['banners'] = $publicidade->banners($codigo);

		$this->view('publicidade.alterar', $dados);
	}

	public function alterar_grv(){
		
		$codigo = $this->post('codigo');
		$titulo = $this->post('titulo');
		$grupo = $this->post('grupo');
		$tipo = $this->post('tipo');
		$incorporacao = $this->post_htm('incorporacao');

		$this->valida($codigo);
		$this->valida($titulo); 
		$this->valida($tipo);

		$db = new mysql();
		$db->alterar('publicidade', array(
			'grupo'=>$grupo,
			'titulo'=>$titulo,
			'tipo'=>$tipo,
			'incorporacao'=>$incorporacao
		), " codigo='$codigo' " );

		$this->irpara(DOMINIO.$this->_controller.'/alterar/codigo/'.$codigo);		
	}

	public function imagem(){

		$arquivo_original = $_FILES['arquivo'];
		$tmp_name = $_FILES['arquivo']['tmp_name'];

		//carrega model de gestao de imagens
		$arquivo = new model_arquivos_imagens();
		// Instancia 

		$codigo = $this->get('codigo');
		$endereco = $this->post_htm('endereco');

		$diretorio = "../arquivos/img_banners/";

		if(!$arquivo->filtro($arquivo_original)){ $this->msg('Arquivo com formato inválido ou inexistente!'); $this->volta(1); } else {
			
			//pega a exteção
			$nome_original = $arquivo_original['name'];
			$extensao = $arquivo->extensao($nome_original);
			$nome_arquivo  = $arquivo->trata_nome($nome_original);
			
			if(copy($tmp_name, $diretorio.$nome_arquivo)){

				$db = new mysql();
				$db->inserir('publicidade_banners', array(
					'bloco'=>$codigo,
					'imagem'=>$nome_arquivo,
					'endereco'=>$endereco
				));
				
				$this->irpara(DOMINIO.$this->_controller.'/alterar/codigo/'.$codigo.'/aba/imagem');
				
			} else {
				
				$this->msg('Erro ao gravar imagem!');
				$this->irpara(DOMINIO.$this->_controller."/alterar/codigo/".$codigo."/aba/imagem");
				
			}

		}
		
	}

	public function apagar_imagem(){
		
		$codigo = $this->get('codigo');
		$id = $this->get('id');

		if($codigo AND $id){

			$conexao = new mysql();
			$exec = $conexao->Executar("SELECT * FROM publicidade_banners WHERE id='$id' ");
			$data = $exec->fetch_object();

			if($data->imagem){
				unlink('../arquivos/img_banners/'.$data->imagem);
			}

			$conexao = new mysql();
			$conexao->apagar("publicidade_banners", " id='$id' ");
		}

		$this->irpara(DOMINIO.$this->_controller.'/alterar/codigo/'.$codigo.'/aba/imagem');
	}

	public function apagar_varios(){

		// Instancia
		$publicidade = new model_publicidade();

		$grupo = $this->get('grupo');

		foreach ($publicidade->lista($grupo) as $key => $value) {			 

			if($this->post('apagar_'.$value['id']) == 1){

				$conexao = new mysql();
				$exec = $conexao->Executar("SELECT * FROM publicidade_banners WHERE bloco='".$value['codigo']."' ");
				while($data = $exec->fetch_object()){

					if($data->imagem){
						unlink('../arquivos/img_banners/'.$data->imagem);
					}

					$conexao = new mysql();
					$conexao->apagar("publicidade_banners", " id='$data->id' ");
				}

				$conexao = new mysql();
				$conexao->apagar("publicidade", " codigo='".$value['codigo']."' ");
			}
		}

		$this->irpara(DOMINIO.$this->_controller.'/inicial/grupo/'.$grupo);
	}

	// ORDEM

	public function ordem(){

		// Instancia
		$publicidade = new model_publicidade();

		$codigo = $this->post('codigo');
		$list = $_POST['list'];

		$output = array();
		parse_str($list, $output);
		$ordem = implode(',', $output['item']);

		$db = new mysql();
		$publicidade->altera_ordem($ordem, $codigo);

	}

}