<?php

class revistas extends controller {
	
	protected $_modulo_nome = "Revistas/Jornais";

	public function init(){
		$this->autenticacao();
		$this->nivel_acesso(105);
	}
	
	public function inicial(){
		
		$dados['_base'] = $this->base();
		$dados['_titulo'] = $this->_modulo_nome;
		$dados['_subtitulo'] = "";
		
		$edicoes = new model_revistajornal();
		$dados['lista'] = $edicoes->lista();

		$this->view('revistajornal', $dados);
	}
	
	public function novo(){
		
		$dados['_base'] = $this->base();

		$edicoes = new model_revistajornal();
		$dados['formatos'] = $edicoes->formatos();

		$this->view('revistajornal.novo', $dados);
	}

	public function novo_grv(){
		
		$titulo = $this->post('titulo');
		$edicao = $this->post('edicao');
		$previa = $this->post('previa');
		$formato = $this->post('formato');
		$paginas = $this->post('paginas');

		$this->valida($titulo);
		$this->valida($edicao); 
		$this->valida($formato);
		$this->valida($paginas);

		$codigo = $this->gera_codigo();

		$db = new mysql();
		$db->inserir("revistajornal", array(
			"codigo"=>"$codigo",
			"formato"=>"$formato",
			"titulo"=>"$titulo",
			"edicao"=>"$edicao",
			"previa"=>"$previa",
			"paginas"=>"$paginas"
		));

		$this->irpara(DOMINIO.$this->_controller.'/alterar/aba/imagem/codigo/'.$codigo);
	}

	public function alterar(){
		
		$dados['_base'] = $this->base();
		$dados['_titulo'] = $this->_modulo_nome;
		$dados['_subtitulo'] = "Alterar";

		$codigo = $this->get('codigo');

		$this->valida($codigo);

		$aba = $this->get('aba');
		if($aba){
			$dados['aba_selecionada'] = $aba;
		} else {
			$dados['aba_selecionada'] = 'dados';
		}

		$db = new mysql();
		$exec = $db->Executar("SELECT * FROM revistajornal where codigo='$codigo' ");
		$dados['data'] = $exec->fetch_object();
		
		$revistajornal = new model_revistajornal();
		$dados['formatos'] = $revistajornal->formatos();
		$dados['imagens'] = $revistajornal->imagens($codigo);

		$this->view('revistajornal.alterar', $dados);
	}

	public function alterar_grv(){
		
		$codigo = $this->post('codigo');

		$titulo = $this->post('titulo');
		$edicao = $this->post('edicao');
		$previa = $this->post('previa');
		$formato = $this->post('formato');
		$paginas = $this->post('paginas');

		$this->valida($codigo);
		$this->valida($titulo);
		$this->valida($formato);
		$this->valida($paginas);

		$db = new mysql();
		$db->alterar("revistajornal", array(
			"formato"=>"$formato",
			"titulo"=>"$titulo",
			"edicao"=>"$edicao",
			"previa"=>"$previa"
		), " codigo='$codigo' ");

		$this->irpara(DOMINIO.$this->_controller.'/alterar/codigo/'.$codigo);		
	}

	public function imagem(){

		$codigo = $this->get('codigo');
		$pagina = $this->get('pagina');

		$arquivo_original = $_FILES['arquivo'];
		$tmp_name = $_FILES['arquivo']['tmp_name'];

		$this->valida($codigo);
		$this->valida($pagina);
		$this->valida($tmp_name);

		//carrega model de gestao de imagens
		$arquivo = new model_arquivos_imagens();
		// Instancia
		$revistajornal = new model_revistajornal();		

		$codigo = $this->get('codigo');

		$diretorio_g = "../arquivos/img_revistajornal_g/";
		$diretorio_p = "../arquivos/img_revistajornal_p/";

		if(!$arquivo->filtro($arquivo_original)){ $this->msg('Arquivo com formato inválido ou inexistente!'); $this->volta(1); } else {
			
			//pega a exteção
			$nome_original = $arquivo_original['name'];
			$extensao = $arquivo->extensao($nome_original);
			$nome_arquivo  = $arquivo->trata_nome($nome_original);
			
			if(copy($tmp_name, $diretorio_g.$nome_arquivo)){

				if( ($extensao == "jpg") OR ($extensao == "jpeg") OR ($extensao == "JPG") OR ($extensao == "JPEG") ){
					
					$data = $revistajornal->carrega($codigo);
					$data_formato = $revistajornal->carrega_formato($data->formato);

					//calcula a altura
					$largura_g = $data_formato->grande_largura;
					$altura_g = $arquivo->calcula_altura_jpg($diretorio_g.$nome_arquivo, $largura_g);

					//redimenciona
					$arquivo->jpg($diretorio_g.$nome_arquivo, $largura_g , $altura_g , $diretorio_g.$nome_arquivo);

					//calcula a altura
					$largura_p = $data_formato->pequena_largura;
					$altura_p =  $data_formato->pequena_altura;

					//redimenciona
					$arquivo->jpg($diretorio_g.$nome_arquivo, $largura_p , $altura_p , $diretorio_p.$nome_arquivo);

				} else {
					copy($diretorio_g.$nome_arquivo, $diretorio_p.$nome_arquivo);
				}

				//grava banco
				$db = new mysql();
				$db->inserir("revistajornal_imagem", array(
					"codigo"=>"$codigo",
					"pagina"=>"$pagina",
					"imagem"=>"$nome_arquivo"
				));

				$this->irpara(DOMINIO.$this->_controller.'/alterar/codigo/'.$codigo.'/aba/imagem#pagina_'.$pagina);
			
			} else {
				$this->msg('Erro ao gravar imagem!');
				$this->irpara(DOMINIO.$this->_controller."/alterar/codigo/".$codigo."/aba/imagem#pagina_".$pagina);
			}
		}		
	}

	public function apagar_imagem(){

		$codigo = $this->get('codigo');
		$pagina = $this->get('pagina');

		if($pagina AND $codigo){

			$db = new mysql();
			$exec = $db->executar("SELECT * FROM revistajornal_imagem where codigo='$codigo' AND pagina='$pagina' ");
			$data = $exec->fetch_object();

			if($data->imagem){
				unlink('../arquivos/img_revistajornal_g/'.$data->imagem);
				unlink('../arquivos/img_revistajornal_p/'.$data->imagem);
			}

			$conexao = new mysql();
			$conexao->apagar("revistajornal_imagem", " codigo='$codigo' AND pagina='$pagina' ");
		} else {
			$this->msg('Ocorreu um erro!');
		}

		$this->irpara(DOMINIO.$this->_controller.'/alterar/codigo/'.$codigo.'/aba/imagem');
	}

	public function apagar_varios(){

		$db = new mysql();
		$exec = $db->Executar("SELECT * FROM revistajornal ");
		while($data = $exec->fetch_object()){

			if($this->post('apagar_'.$data->id) == 1){

				$db = new mysql();
				$exec_img = $db->executar("SELECT * FROM revistajornal_imagem where codigo='$data->codigo' ");
				while($data_img = $exec_img->fetch_object()){
					if($data_img->imagem){
						unlink('../arquivos/img_revistajornal_g/'.$data_img->imagem);
						unlink('../arquivos/img_revistajornal_p/'.$data_img->imagem);
					}
				}

				$conexao = new mysql();
				$conexao->apagar("revistajornal_imagem", " codigo='$data->codigo' ");

				$conexao = new mysql();
				$conexao->apagar("revistajornal", " codigo='$data->codigo' ");

			}
		}

		$this->irpara(DOMINIO.$this->_controller);
	}

	/////////////////////////////////////////////////////////////

	public function formatos(){

		$dados['_base'] = $this->base();
		$dados['_titulo'] = $this->_modulo_nome;
		$dados['_subtitulo'] = "Formatos";

		$revistajornal = new model_revistajornal();		 
		$dados['lista'] = $revistajornal->formatos();

		$this->view('revistajornal.formatos', $dados);
	}

	public function formatos_novo(){

		$dados['_base'] = $this->base();

		$this->view('revistajornal.formatos.novo', $dados);
	}

	public function formatos_novo_grv(){

		$titulo = $this->post('titulo');
		$grande_largura = $this->post('grande_largura');
		$grande_altura = $this->post('grande_altura');
		$pequena_largura = $this->post('pequena_largura');
		$pequena_altura = $this->post('pequena_altura');

		$this->valida($titulo);
		$this->valida($grande_largura);
		$this->valida($grande_altura);
		$this->valida($pequena_largura);
		$this->valida($pequena_altura);

		$codigo = $this->gera_codigo();

		$db = new mysql();
		$db->inserir("revistajornal_formatos", array(
			"codigo"=>"$codigo",
			"titulo"=>"$titulo",
			"pequena_largura"=>"$pequena_largura",
			"pequena_altura"=>"$pequena_altura",
			"grande_largura"=>"$grande_largura",
			"grande_altura"=>"$grande_altura"			 
		));

		$this->irpara(DOMINIO.$this->_controller.'/formatos');
	}

	public function formatos_alterar(){

		$dados['_base'] = $this->base();

		$codigo = $this->get('codigo');

		$this->valida($codigo);

		$db = new mysql();
		$exec = $db->executar("SELECT * FROM revistajornal_formatos WHERE codigo='$codigo' ");
		$dados['data'] = $exec->fetch_object();

		if(!isset($dados['data']) ) {
			$this->irpara(DOMINIO.$this->_controller.'/formatos');
		}

		$this->view('revistajornal.formatos.alterar', $dados);
	}

	public function formatos_alterar_grv(){

		$codigo = $this->post('codigo');
		$titulo = $this->post('titulo');
		$grande_largura = $this->post('grande_largura');
		$grande_altura = $this->post('grande_altura');
		$pequena_largura = $this->post('pequena_largura');
		$pequena_altura = $this->post('pequena_altura');

		$this->valida($codigo);
		$this->valida($titulo);
		$this->valida($grande_largura);
		$this->valida($grande_altura);
		$this->valida($pequena_largura);
		$this->valida($pequena_altura);

		$db = new mysql();
		$db->alterar("revistajornal_formatos", array(
			"titulo"=>"$titulo",
			"pequena_largura"=>"$pequena_largura",
			"pequena_altura"=>"$pequena_altura",
			"grande_largura"=>"$grande_largura",
			"grande_altura"=>"$grande_altura"
		), " codigo='$codigo' ");

		$this->irpara(DOMINIO.$this->_controller.'/formatos');	
	}

	public function formatos_apagar(){

		$db = new mysql();
		$exec = $db->Executar("SELECT * FROM revistajornal_formatos ");
		while($data = $exec->fetch_object()){

			if($this->post('apagar_'.$data->id) == 1){

				$conexao = new mysql();
				$conexao->apagar("revistajornal_formatos", " id='$data->id' ");

			}
		}

		$this->irpara(DOMINIO.$this->_controller.'/formatos');
	}

//termina classe
}