<?php include_once('base.php'); ?>
<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">

	<title><?=$_titulo?> - <?=TITULO_VIEW?></title>
	<link rel="icon" href="<?=FAVICON?>" type="image/x-icon" />
	
	<link rel="stylesheet" href="<?=LAYOUT?>bootstrap/css/bootstrap.min.css">
	<link rel="stylesheet" href="<?=LAYOUT?>api/jquery-ui/css/ui-lightness/jquery-ui-1.10.4.custom.css" />
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.0/css/all.css" integrity="sha384-lZN37f5QGtY3VHgisS14W3ExzMWZxybE1SJSEsQp9S+oqd12jhcu+A56Ebc1zFSJ" crossorigin="anonymous">
	<link rel="stylesheet" href="<?=LAYOUT?>plugins/datatables/dataTables.bootstrap.css">
	<link rel="stylesheet" href="<?=LAYOUT?>plugins/daterangepicker/daterangepicker.css">
	<link rel="stylesheet" href="<?=LAYOUT?>plugins/datepicker/datepicker3.css">
	<link rel="stylesheet" href="<?=LAYOUT?>dist/css/AdminLTE.min.css">
	<link rel="stylesheet" href="<?=LAYOUT?>dist/css/skins/_all-skins.min.css">
	<link rel="stylesheet" href="<?=LAYOUT?>api/bootstrap-fileupload/bootstrap-fileupload.min.css" />

	<?php include_once('css.php'); ?>

</head>
<body class="hold-transition skin-blue <?php if($_base['menu_fechado'] == 1){ echo "sidebar-collapse"; } ?> sidebar-mini">
	<div class="wrapper">

		<?php require_once('htm_modal.php'); ?>
		
		<?php require_once('htm_topo.php'); ?>
		
		<?php require_once('htm_menu.php'); ?>
		
		<div class="content-wrapper">

			<section class="content-header">
				<h1>
					<?=$_titulo?>
					<small><?=$_subtitulo?></small>
				</h1> 
			</section>

			<!-- Main content -->
			<section class="content">
				<div class="row">
					<div class="col-xs-12">

						<div class="box">
							<div class="box-body">

								<div>
									<label>Filtro por data:</label>
									<div class="row">

										<div class="col-md-2">
											<div class="input-group">
												<span class="input-group-addon">
													<i class="fa fa-calendar"></i>
												</span>
												<input type="text" class="form-control datepicker" value="<?=$inicio?>" name="data_inicio" id="data_inicio" >
											</div>
										</div>

										<div class="col-md-2">
											<div class="input-group">
												<span class="input-group-addon">
													<i class="fa fa-calendar"></i>
												</span>
												<input type="text" class="form-control datepicker" value="<?=$fim?>" name="data_fim" id="data_fim" >
											</div>
										</div>

										<div class="col-md-2">
											<button type="button" class="btn btn-primary" onclick="filtrar();">Filtrar</button>
										</div>

									</div>

								</div>
							</div>
						</div>

						<?php

						foreach ($lista as $key => $value) {
							
							echo "
							<div class='box'>
							<div class='box-body'>

							<div style='margin-top:15px;'>Nome: ".$value['nome']."</div>
							<div style='margin-top:15px;'>Fone: ".$value['fone']."</div>
							<div style='margin-top:15px;'>E-mail: ".$value['email']."</div>
							<div style='margin-top:15px;'>Mensagem: ".$value['pedido']."</div>

							</div>
							</div>
							";

						}
						
						?>

					</div>
				</div>
				<!-- /.row -->
			</section>
			<!-- /.content -->

		</div>
		<!-- /.content-wrapper -->
		<?php require_once('htm_rodape.php'); ?>

	</div>
	<!-- ./wrapper -->

	<!-- jQuery 2.2.3 -->
	<script src="<?=LAYOUT?>api/jquery/jquery.js"></script>
	<script src="<?=LAYOUT?>api/jquery-ui/js/jquery-ui-1.10.4.custom.js"></script>
	<script src="<?=LAYOUT?>bootstrap/js/bootstrap.min.js"></script>
	<script src="<?=LAYOUT?>api/bootstrap-fileupload/bootstrap-fileupload.min.js"></script>
	<script src="<?=LAYOUT?>plugins/datatables/jquery.dataTables.min.js"></script>
	<script src="<?=LAYOUT?>plugins/datatables/dataTables.bootstrap.min.js"></script>
	<script src="<?=LAYOUT?>plugins/daterangepicker/daterangepicker.js"></script>
	<script src="<?=LAYOUT?>plugins/datepicker/bootstrap-datepicker.js"></script>
	<script src="<?=LAYOUT?>dist/js/app.min.js"></script>
	<script src="<?=LAYOUT?>dist/js/demo.js"></script> 
	<script>function dominio(){ return '<?=DOMINIO?>'; }</script>
	<script src="<?=LAYOUT?>js/funcoes.js"></script>

	<script>
		$(document).ready(function() {

			$('.datepicker').datepicker({
				autoclose: true,
				format: 'dd-mm-yyyy'
			});

		});

		function filtrar(){
			var inicio = $('#data_inicio').val();
			var fim = $('#data_fim').val();
			window.location='<?=DOMINIO?>oracao/inicial/inicio/'+inicio+'/fim/'+fim;
		}

	</script>
	<script src="<?=LAYOUT?>js/ajuda.js"></script> 
</body>
</html>