<?php include_once('base.php'); ?>
<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">

  <title><?=$_titulo?> - <?=TITULO_VIEW?></title>
  <link rel="icon" href="<?=FAVICON?>" type="image/x-icon" />
  
  <link rel="stylesheet" href="<?=LAYOUT?>bootstrap/css/bootstrap.min.css">
  <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.0/css/all.css" integrity="sha384-lZN37f5QGtY3VHgisS14W3ExzMWZxybE1SJSEsQp9S+oqd12jhcu+A56Ebc1zFSJ" crossorigin="anonymous">
  <link rel="stylesheet" href="<?=LAYOUT?>api/jquery-ui/css/ui-lightness/jquery-ui-1.10.4.custom.css" />
  <link rel="stylesheet" href="<?=LAYOUT?>plugins/datatables/dataTables.bootstrap.css">   
  <link rel="stylesheet" href="<?=LAYOUT?>plugins/daterangepicker/daterangepicker.css">
  <link rel="stylesheet" href="<?=LAYOUT?>plugins/datepicker/datepicker3.css">
  <link rel="stylesheet" href="<?=LAYOUT?>plugins/iCheck/all.css">
  <link rel="stylesheet" href="<?=LAYOUT?>plugins/colorpicker/bootstrap-colorpicker.min.css">
  <link rel="stylesheet" href="<?=LAYOUT?>plugins/timepicker/bootstrap-timepicker.min.css">
  <link rel="stylesheet" href="<?=LAYOUT?>plugins/select2/select2.min.css">
  <link rel="stylesheet" href="<?=LAYOUT?>dist/css/AdminLTE.min.css">
  <link rel="stylesheet" href="<?=LAYOUT?>dist/css/skins/_all-skins.min.css">
  <link rel="stylesheet" href="<?=LAYOUT?>plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.min.css">
  <link rel="stylesheet" href="<?=LAYOUT?>api/uploadfy/css/uploadify.css" type="text/css" />
  <link rel="stylesheet" href="<?=LAYOUT?>api/bootstrap-fileupload/bootstrap-fileupload.min.css" />
  
  <?php include_once('css.php'); ?>

</head>
<body class="hold-transition skin-blue <?php if($_base['menu_fechado'] == 1){ echo "sidebar-collapse"; } ?> sidebar-mini">
  <div class="wrapper">

    <?php require_once('htm_modal.php'); ?>
    
    <?php require_once('htm_topo.php'); ?>
    
    <?php require_once('htm_menu.php'); ?>
    
    <div class="content-wrapper">

     <section class="content-header">
       <h1>
         <?=$_titulo?>
         <small><?=$_subtitulo?></small>
       </h1> 
     </section>

     <!-- Main content -->
     <section class="content">
       <div class="row">        	
         <div class="col-xs-12">


         	<div class="nav-tabs-custom">

            <ul class="nav nav-tabs">

             <li <?php if($aba_selecionada == "dados"){ echo "class='active'"; } ?> >
              <a href="#dados" data-toggle="tab">Dados</a>
            </li>
            <li <?php if($aba_selecionada == "imagem"){ echo "class='active'"; } ?> >
              <a href="#imagem" data-toggle="tab">Imagens</a>
            </li>

          </ul>

          <div class="tab-content" >

           <div id="dados" class="tab-pane <?php if($aba_selecionada == "dados"){ echo "active"; } ?>" >
             <form action="<?=$_base['objeto']?>alterar_grv" class="form-horizontal" method="post">  						

              <fieldset>

                <div class="form-group">
                  <label class="col-md-12">Posição:<span style="font-weight: normal;"> <?=$data->grupo?></span></label>
                </div>

                <div class="form-group">
                  <label class="col-md-12" >Titulo <?=ajuda('O titulo não aparece no site');?></label>
                  <div class="col-md-7">
                   <input name="titulo" type="text" class="form-control" value="<?=$data->titulo?>" >
                 </div>
               </div>

               <div class="form-group">
                <label class="col-md-12">Tipo do bloco <?=ajuda('O tipo define se será um bloco banners rotativos ou um codigo incorporado');?></label>
                <div class="col-md-6">
                  <select name="tipo" class="form-control select2" style="width: 100%;" > 
                    <option value='1' <?php if($data->tipo == 1){ echo "selected=''"; } ?> >Imagem</option>
                    <option value='2' <?php if($data->tipo == 2){ echo "selected=''"; } ?> >Incorporação</option>
                  </select>
                </div>
              </div>

              <div class="form-group">
                <label class="col-md-12" >Incorporar codigo <?=ajuda('Cole aqui o codigo do banner ou app que deseja incorporar no site.')?></label>
                <div class="col-md-8">
                  <textarea name="incorporacao" class="form-control" style="height: 80px;" ><?=$data->incorporacao?></textarea>
                </div>
              </div>

            </fieldset>

            <div>
              <button type="submit" class="btn btn-primary">Salvar</button>
              <input type="hidden" name="codigo" value="<?=$data->codigo?>" >
              <button type="button" class="btn btn-default" onClick="window.location='<?=$_base['objeto']?>';" >Voltar</button>
            </div>

          </form>
        </div>


        <div id="imagem" class="tab-pane <?php if($aba_selecionada == "imagem"){ echo "active"; } ?>" >

          <form action="<?=$_base['objeto']?>imagem/codigo/<?=$data->codigo?>" method="post" enctype="multipart/form-data">

            <fieldset>

              <div class="form-group" >
                <label class="col-md-12" >Adicionar imagem/banner</label> 
                <div class="col-md-5">
                  <div class="fileupload fileupload-new" data-provides="fileupload">
                    <div class="input-append">
                      <div class="uneditable-input">
                        <i class="fa fa-file fileupload-exists"></i>
                        <span class="fileupload-preview"></span>
                      </div>
                      <span class="btn btn-default btn-file">
                        <span class="fileupload-exists">Alterar</span>
                        <span class="fileupload-new">Procurar arquivo</span>
                        <input type="file" name="arquivo" />
                      </span>
                      <a href="#" class="btn btn-default fileupload-exists" data-dismiss="fileupload">Remover</a>
                    </div>
                  </div>
                </div>
              </div>

              <div class="form-group" style="clear:both; padding-top:5px;">
                <label class="col-md-12" >Destino (opcional) <?=ajuda('O destino é o endereço que vai abrir quando alguem clicar no banner, se deixar em branco o banner ficara sem a função do click.');?></label>
                <div class="col-md-5">
                  <input name="endereco" type="text" class="form-control" >
                </div>
              </div>

            </fieldset>

            <div class="form-group" style="clear:both; padding-top:10px;">
              <div class="col-md-5">
                <button type="submit" class="btn btn-primary">Enviar</button> 
              </div>              
            </div>

          </form>

          <div style="clear: both; padding-top:10px;"><hr></div>

          <?php

          foreach ($banners as $key => $value) {

            echo '
            <div style="float:left; width:200px; margin-right:20px; margin-top:20px;" >

            <div style="width:200px;">
            <img src="'.PASTA_CLIENTE.'img_banners/'.$value['imagem'].'" style="width:200px;" >
            </div>
            
            <div style="text-align:center; padding-top:10px; width:100%; ">
            <button type="button" class="btn btn-primary" onClick="confirma(\''.$_base['objeto'].'apagar_imagem/codigo/'.$data->codigo.'/id/'.$value['id'].'\');" >Apagar</button>
            </div>

            </div>
            ';

          }

          ?>

          <div style="clear: both; padding-top:10px;"><hr></div>

          <div>
            <button type="button" class="btn btn-default" onClick="window.location='<?=$_base['objeto']?>';" >Voltar</button>
          </div>

        </div>

      </div>

    </div>
  </div>
  <!-- /.row -->
</section>
<!-- /.content -->

</div>
<!-- /.content-wrapper -->
<?php require_once('htm_rodape.php'); ?>

</div>
<!-- ./wrapper -->

<script src="<?=LAYOUT?>plugins/jQuery/jquery-2.2.3.min.js"></script>
<script src="<?=LAYOUT?>bootstrap/js/bootstrap.min.js"></script>
<script src="<?=LAYOUT?>plugins/select2/select2.full.min.js"></script>
<script src="<?=LAYOUT?>plugins/input-mask/jquery.inputmask.js"></script>
<script src="<?=LAYOUT?>plugins/input-mask/jquery.inputmask.date.extensions.js"></script>
<script src="<?=LAYOUT?>plugins/input-mask/jquery.inputmask.extensions.js"></script>
<script src="<?=LAYOUT?>plugins/daterangepicker/daterangepicker.js"></script>
<script src="<?=LAYOUT?>plugins/datepicker/bootstrap-datepicker.js"></script>
<script src="<?=LAYOUT?>plugins/colorpicker/bootstrap-colorpicker.min.js"></script>
<script src="<?=LAYOUT?>plugins/timepicker/bootstrap-timepicker.min.js"></script>
<script src="<?=LAYOUT?>plugins/slimScroll/jquery.slimscroll.min.js"></script>
<script src="<?=LAYOUT?>plugins/iCheck/icheck.min.js"></script>
<script src="<?=LAYOUT?>plugins/fastclick/fastclick.js"></script>
<script src="<?=LAYOUT?>api/bootstrap-fileupload/bootstrap-fileupload.min.js"></script>
<script src="<?=LAYOUT?>api/jquery-ui/js/jquery-ui-1.10.4.custom.js"></script>
<script src="<?=LAYOUT?>dist/js/app.min.js"></script>
<script src="<?=LAYOUT?>dist/js/demo.js"></script>
<script src="<?=LAYOUT?>api/uploadfy/js/swfobject.js"></script>
<script src="<?=LAYOUT?>api/uploadfy/js/jquery.uploadify.v2.1.4.min.js"></script>
<script>function dominio(){ return '<?=DOMINIO?>'; }</script>
<script src="<?=LAYOUT?>js/funcoes.js"></script>
<script>

  $(document).ready(function() {

    $(".select2").select2();
    
  });

</script>
<script src="<?=LAYOUT?>js/ajuda.js"></script> 
</body>
</html>