<?php

class controller extends system {
	
	protected $_sessao = false;

	public function init(){ //inicialização
	}
	
	protected function _base(){

		$dados = array();    	 
		$dados['libera_views'] = true;
		
		//detecta navegador 
		$navegador = new model_navegador();
		$dados['navegador'] = $navegador->nome();
		
		//carrega imagens do setadas no painel de controle
		$db = new mysql();
		$exec = $db->executar("select codigo, imagem from imagem ");
		while($data = $exec->fetch_object()){
			if($data->imagem){
				$dados['imagem'][$data->codigo] = PASTA_CLIENTE.'imagens/'.$data->imagem;
			} else {
				$dados['imagem'][$data->codigo] = '';
			}
		}

		$dados['logo'] = $dados['imagem']['147796771992551'];
		$dados['favicon'] = $dados['imagem']['147193111415927'];
		
		//informações basicas de metan
		$db = new mysql();
		$config = $db->executar("select * from meta where id='1' ")->fetch_object();

		if($config->forcar_ssl == 1){
			if( isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] == 'on' ) { } else {
				$new_url = "https://" . $_SERVER['SERVER_NAME'] . $_SERVER['REQUEST_URI'];
				echo "<script>window.location='$new_url';</script>";
				exit;
			}
		}

		$dados['titulo_pagina'] = $config->titulo_pagina;
		$dados['descricao'] = $config->descricao;

		if($config->analytics){
			$dados['analytics'] = "
			<script async src='https://www.googletagmanager.com/gtag/js?id=".$config->analytics."'></script>
			<script>
			window.dataLayer = window.dataLayer || [];
			function gtag(){dataLayer.push(arguments);}
			gtag('js', new Date());
			gtag('config', '".$config->analytics."');
			</script>
			";
		} else {
			$dados['analytics'] = "";
		}
		
		//carrega cores setadas no painel de controle
		$dados['cor'] = array();
		$db = new mysql();
		$exec = $db->executar("select * from layout_cor ");
		while($data = $exec->fetch_object()){
			$dados['cor'][$data->id] = $data->cor;
		}

		$menu = new model_menu();
		$dados['menu'] = $menu->lista();
		$dados['menu_rodape'] = $menu->lista_rodape();

		//textos
		$textos = new model_textos();
		$dados['topo_fone'] = $textos->conteudo('154472085623402');
		$dados['slogan'] = $textos->conteudo('154472161076641');
		$dados['rodape_endereco1'] = $textos->conteudo('154474505229929');
		$dados['rodape_endereco2'] = $textos->conteudo('154474514077654');
		$dados['rodape_endereco3'] = $textos->conteudo('154474517525587');
		$dados['rodape_telefone1'] = $textos->conteudo('154474571539640');
		$dados['rodape_telefone2'] = $textos->conteudo('154474577677620');
		$dados['chat_fone'] = $textos->conteudo('156630113722300'); 
		
		//carrega redes sociais
		$redesocial = new model_redes_sociais();
		$instagram = "";
		$dados['redessociais'] = $redesocial->lista();

		$dados['facebook'] = "";
		foreach ($dados['redessociais'] as $key => $value) {
			if(
				($value['titulo'] == 'facebook') OR 
				($value['titulo'] == "Facebook")
			){
				$dados['facebook'] = $value['endereco'];		
			}
		}

		// cidade principal
		$db = new mysql();
		$exec = $db->executar("select * from imoveis_cidades WHERE principal='1' ");
		if($exec->num_rows != 0){
			$data = $exec->fetch_object();
			define('CIDADE', $data->cidade);
		} else {
			define('CIDADE', 'cidade');
		}

		$topo = $db->executar("select * from layout_topo where ativo='1' ")->fetch_object();
		$dados['modelo_topo'] = $topo->codigo;
		
		$rodape = $db->executar("select * from layout_rodape where ativo='1' ")->fetch_object();
		$dados['modelo_rodape'] = $rodape->codigo;


		// categorias
		
		$db = new mysql();
		$exec = $db->executar("select * from imoveis_categorias WHERE codigo='5280' ");
		$data = $exec->fetch_object();
		$dados['alugar_ativo'] = $data->ativo;

		$db = new mysql();
		$exec = $db->executar("select * from imoveis_categorias WHERE codigo='5279' ");
		$data = $exec->fetch_object();
		$dados['comprar_ativo'] = $data->ativo;

		$db = new mysql();
		$exec = $db->executar("select * from imoveis_categorias WHERE codigo='6666' ");
		$data = $exec->fetch_object();
		$dados['permuta_ativo'] = $data->ativo;
		
		//retorna para a pagina a array com todos as informações
		return $dados;
	}
	
	protected function view( $arquivo, $vars = null ){
		
		if( is_array($vars) && count($vars) > 0){
			//transforma array em variavel
			//com prefixo
			//extract($vars, EXTR_PREFIX_ALL, 'htm_');
			//se ouver variaveis iguais adiciona prefixo
			extract($vars, EXTR_PREFIX_SAME, 'htm_');
		}

		$url_view = VIEWS."htm_".$arquivo.".php";

		if(!file_exists($url_view)){
			$this->erro();
		} else {
			return require_once($url_view);
		}

	}

	//gera codigo que nunca se repete
	public function gera_codigo(){
		return substr(time().rand(10000,99999),-15);
	}

	// limita texto para previas
	protected function limita_texto($var, $limite){
		if (strlen($var) > $limite)	{
			$var = substr($var, 0, $limite);
			$var = trim($var) . "...";
		}		
		return $var;
	}

	//confere se foi preenchido um campo post ou get
	public function valida($var, $msg = null){
		if(!$var){
			if($msg){
				$this->msg($msg);
				$this->volta(1);
			} else {
				$this->msg('Preencha todos os campos e tente novamente!');
				$this->volta(1);
			}
		}
	}	

}