<?php if(!isset($_base['libera_views'])){ header("HTTP/1.0 404 Not Found"); exit; } ?>
<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="Content-Type" charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title><?=$data->titulo?> - <?=$_base['titulo_pagina']?></title>
    <link rel="shortcut icon" href="<?=$_base['favicon'];?>">
    
    <meta name="description" content="<?=$data->previa?>" />
    <meta property="og:description" content="<?=$data->previa?>">
    <meta name="author" content="mrcomerciodigital.com.br">
    <meta name="classification" content="Website" />
    <meta name="robots" content="index, follow">
    <meta name="Indentifier-URL" content="<?=DOMINIO?>" />

    <!--start Facebook Open Graph Protocol-->
    <meta property="og:site_name" content="<?=$_base['titulo_pagina']?>" />
    <meta property="og:title" content="<?=$data->titulo?> - <?=$_base['titulo_pagina']?>" />
    <meta property="og:image" content="<?=$imagem_principal?>"/>
    <meta property="og:url" content="<?=$endereco_noticia?>"/>
    <!--end Facebook Open Graph Protocol-->

    <link rel="stylesheet" href="<?=LAYOUT?>api/bootstrap/bootstrap.min.css" >
    <link rel="stylesheet" href="<?=LAYOUT?>api/animate/animate.css" >
    <link rel="stylesheet" href="<?=LAYOUT?>api/bootstrap-select/dist/css/bootstrap-select.css">
    <link rel="stylesheet" href="<?=LAYOUT?>api/bootstrap-slider-master/dist/css/bootstrap-slider.css">
    <link rel="stylesheet" href="<?=LAYOUT?>api/OwlCarousel2-2.3.4/dist/assets/owl.carousel.css" >
    <link rel="stylesheet" href="<?=LAYOUT?>api/hover-master/css/hover-min.css" >
    <link rel="stylesheet" href="<?=LAYOUT?>api/fortawesome/fontawesome-free/css/all.min.css"  /> 

    <link href='https://fonts.googleapis.com/css?family=Open+Sans:400,300,300italic,400italic,600,600italic,700,700italic,800,800italic' rel='stylesheet' type='text/css'>
    <link href='https://fonts.googleapis.com/css?family=Roboto:400,900,700,300,300italic,400italic,500,500italic,700italic,900italic' rel='stylesheet' type='text/css'>    

    <?php include_once('htm_css.php'); ?>
    <?php include_once('htm_css_resp.php'); ?>
    <?php include_once('htm_css_topo_'.$_base['modelo_topo'].'.php'); ?>
    
</head>
<body>

    <?=$_base['analytics']?>

    <?php include_once('htm_modal.php'); ?>

    <?php include_once('htm_topo.php'); ?>

    <section class="inicio_corpo"></section>

    <section class="sessao_padrao">
        <div class="container">
            <div class="row">

                <div class="col-xs-12 col-sm-8 col-md-8" >

                    <div style="margin-top:-20px;">
                        <h2 class='blog_lista_titulo' >
                            <a href='#' class='blog_lista_titulo' ><?=$data->titulo?></a>
                        </h2>
                        <ul class='blog_lista_meta' >                    
                            <li><i class='fa fa-aw fa-calendar-o' ></i> <?=$dia?></li>                  
                            <li><i class='fa fa-folder-open' ></i> <?=$categoria?></li>
                            <?php
                            if($autor){
                                echo "<li><i class='fa fa-user' ></i> ".$autor."</li>";
                            }
                            ?>
                        </ul>
                    </div>

                    <div class='blog_divisao_interna' ></div>

                    <div class="blog_padrao_conteudo" >
                        <?=$data->conteudo?>
                    </div>

                    <?php

                    foreach ($imagens as $key => $value) {

                        echo "<div class='blog_imagem_interna' ><img src='".$value['imagem_g']."' ></div>";
                        if($value['legenda']){
                            echo "<div class='blog_legenda' >".$value['legenda']."</div>";
                        }

                    }

                    ?>

                    <div class="social" style="margin-top: 30px; " >
                        <div class="row">

                            <div class="col-xs-12 col-sm-8 col-md-8" >

                                <div class='social_titulo' >
                                    Gostou? Compartilhe!
                                </div>
                                <ul>
                                    <li>
                                        <a href="https://www.facebook.com/sharer.php?u=<?=$endereco_noticia?>" class="facebook" target="_blank" title="Compartilhar via Facebook"><i class="fab fa-facebook-f"></i></a>
                                    </li>
                                    <li>
                                        <a href="https://twitter.com/intent/tweet?text=<?=$data->titulo?>&url=<?=$endereco_noticia?>" class="twitter" target="_blank" title="Compartilhar via Twitter"><i class="fab fa-twitter"></i></a>
                                    </li>
                                    <li>
                                        <a href="https://api.whatsapp.com/send?text=Veja esta matéria:<?=$endereco_noticia?>" class="whats" target="_blank" title="Compartilhar via WhatsApp"><i class="fab fa-whatsapp"></i></a>
                                    </li>
                                </ul>

                            </div>
                            <div class="col-xs-12 col-sm-4 col-md-4" >
                                <div class="blog_voltar_noticia" >
                                    <a class="btn botao_padrao hvr-float-shadow" style="padding-left:20px; padding-right:20px; padding-top:10px; padding-bottom:7px;" href="#" onClick="history.go(-1)" >Voltar</a>
                                </div>                                    
                            </div>

                        </div>
                    </div>
                </div>

                <div class="col-xs-12 col-sm-4 col-md-4" >
                    <div class="blog_divisao_lateral" >

                        <?php include_once('htm_blog.lateral.php'); ?> 

                    </div>
                </div>

            </div>      
        </div>

    </section>

    <section class="sessao_padrao" style="padding: 0px;">
        <?php
        include_once('htm_subrodape.php');
        ?>
    </section>

    <?php include_once('htm_rodape.php'); ?>

    <script src="<?=LAYOUT?>api/jquery/jquery-1.12.3.min.js"></script>
    <script src="<?=LAYOUT?>api/bootstrap/bootstrap.min.js"></script> 
    <script src="<?=LAYOUT?>api/bootstrap-select/dist/js/bootstrap-select.min.js"></script>
    <script src="<?=LAYOUT?>api/bootstrap-slider-master/dist/bootstrap-slider.min.js"></script>
    <script src="<?=LAYOUT?>api/OwlCarousel2-2.3.4/dist/owl.carousel.min.js"></script>
    <script src="<?=LAYOUT?>api/js_mascaras/mascaras.js"></script>
    <script src="<?=LAYOUT?>js/geral.js"></script>
    <script>function dominio(){ return '<?=DOMINIO?>'; }</script>

</body>
</html>

<?php include_once('htm_chat.php'); ?>